Send Console Message

You can use Send Console Message to send messages to computers that have an active session with the computer that you are managing. You can send messages to individual computers, or you can send messages to all connected users.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Send a console message to all connected computers
  • Send a console message to a computer that you are managing


Send a console message to all connected computers

Microsoft Windows graphic

To send a console message to all connected computers

Using Computer Management

  1. XOX
  2. In the console tree, right-click Shared Folders, point to All Tasks, and then click Send Console Message.
  3. In the Message box, type the message that you want to send.
  4. Click Add to select computer names to add to the Recipients list, and then click OK.
  5. Click Send.

Notes

  • XOX
  • When it is started from the console root in Computer Management, the Recipients list contains only the name of the computer that you are managing. When it is started from the console root in Shared Folders or Services, the Recipients list contains the names of all the computers that have sessions currently open with the computer that you are managing.
  • If any recipients do not receive the message, the computer names remain in the Recipients list in the Send Console Message dialog box. Verify that the computer names are valid and that the computers are available, and then send the message again.

Using a command line

  • Open Command Prompt.
  • Type:

    net send /users message

Value | Description
net send | Sends messages to other users, computers, or messaging names on the network.
/users | Sends the message to all users who are connected to the server.
message | The message that you want to send.

Notes

  • XOX
  • To view the complete syntax for this command, at the command prompt, type:

    net help send

Important

  • Use caution when you send a console message to all connected computers. The distribution list can be very large. For example, if you type the name of a domain as the message recipient, all computers that are logged on to the domain will get the message.
  • Console messages are not private; use caution when you send information through console messages. It is also important to verify the accuracy and legitimacy of any console messages that you receive.

Notes

  • If you have trouble sending a message, verify that the computer name is valid. For more information about viewing computer names, see Related Topics. Also, for more information about troubleshooting network connections, see Related Topics.
  • If the console message contains characters, such as non-ASCII characters, that are not available in the recipient's local character set, those characters will not be readable.
  • For a console message to be received, the Messenger service must be running on the recipient's computer. For information about how to configure startup options for services, see Related Topics.
  • Recipients are identified by computer names. If a user is logged on to more than one computer, only the computer name that is listed will receive the message.
  • Console messages are not saved.

Related Topics


Send a console message to a computer that you are managing

Microsoft Windows graphic

To send a console message to a computer that you are managing

Using Computer Management

  1. XOX
  2. Right-click Computer Management on ComputerName (or Computer Management (Local), if you are managing the local computer), point to All Tasks, and then click Send Console Message.
  3. In the Message box, type the message that you want to send.
  4. Click Add to select computer names to add to the Recipients list, and then click OK.
  5. Click Send.

Notes

  • XOX
  • By default, only the names of the computers that you are managing appear in the Recipients list.
  • If any recipients do not receive the message, the computer names remain in the Recipients list in the Send Console Message dialog box. Verify that the computer names are valid and that the computers are available, and then send the message again.
  • When it is started from the console root in Computer Management, the Recipients list contains only the name of the computer that you are managing. When it is started from the console root in Shared Folders or Services, the Recipients list contains the names of all the computers that have sessions currently open with the computer that you are managing.
  • For more information about using Computer Management, see Related Topics.

Using a command line

  • Open Command Prompt.
  • Type:

    net send ComputerName message

Value | Description
net send | Sends messages to other users, computers, or messaging names on the network.
ComputerName | The name of the computer to which you want to send the message.
message | The message that you want to send. The message text can contain spaces, and it does not have to be enclosed in quotes.

Notes

  • XOX
  • To view the complete syntax for this command, at the command prompt, type:

    net help send

Important

  • Console messages are not private; use caution when you send information through console messages. It is also important to verify the accuracy and legitimacy of any console messages that you receive.

Notes

  • If you have trouble sending a message, verify that the computer name is valid. For more information about viewing computer names, see Related Topics. Also, for more information about troubleshooting network connections, see Related Topics.
  • If the console message contains characters, such as non-ASCII characters, that are not available in the recipient's local character set, those characters will not be readable.
  • For a console message to be received, the Messenger service must be running on the recipient's computer. For information about how to configure startup options for services, see Related Topics.
  • Recipients are identified by computer names. If a user is logged on to more than one computer, only the computer name that is listed will receive the message.
  • Console messages are not saved.

Related Topics


Concepts

This section provides general background information about Send Console Message:

  • Send Console Message overview
  • Managing Send Console Message from the command line


Send Console Message overview

Send Console Message extends the Computer Management, Shared Folders, and Services snap-ins. By using Send Console Message, you can send a message to some or all users who have an active session with a computer that you are managing. For example, if you have to shut down or restart a computer that you are managing, you can send a message that notifies all users who are attached to a shared volume, folder, or printer on the computer.

You can start the Send Console Message tool from the console root in Computer Management, Shared Folders, or Services. The operation of Send Console Message differs slightly, depending on the console root from which you start it. When you start Send Console Message from the console root in Computer Management, the list of recipients contains only the name of the computer that you are managing. When you start Send Console Message from the console root in Shared Folders or Services, the list of recipients contains the names of all the computers that have sessions currently open with the computer that you are managing.

For a console message to be received, the Messenger service must be running on the recipient's computer. By default, this service is disabled on the Microsoft® Windows® Server 2003 family of products. For information about how to configure the startup options for this service, see To configure how a service is started.

Important

  • Console messages are not private; use caution when you send information through console messages. It is also important to verify the accuracy and legitimacy of any console messages that you receive.


Managing Send Console Message from the command line

In addition to using Send Console Message, you can send console messages from the command line. The net send command sends messages to other users, computers, or messaging names on the network. For more information, see Net send.

For information about other command-line utilities, see Command-line reference A-Z. For more information about manageability, see Management strategies and tools.